|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.opencms.workplace.CmsWorkplace
org.opencms.workplace.tools.CmsToolDialog
org.opencms.workplace.CmsDialog
org.opencms.workplace.CmsMultiDialog
org.opencms.workplace.commons.CmsTouch
public class CmsTouch
Provides methods for the touch resource(s) dialog.
The following files use this class:
| Field Summary | |
|---|---|
static int |
ACTION_TOUCH
Value for the action: touch. |
static String |
DEFAULT_DATE_STRING
Default value for date last modified, the release and expire date. |
static String |
DIALOG_TYPE
The dialog type. |
static String |
PARAM_NEWTIMESTAMP
Request parameter name for timestamp. |
static String |
PARAM_RECURSIVE
Request parameter name for the recursive flag. |
| Fields inherited from class org.opencms.workplace.CmsMultiDialog |
|---|
DELIMITER_RESOURCES, PARAM_RESOURCELIST |
| Fields inherited from class org.opencms.workplace.tools.CmsToolDialog |
|---|
PARAM_BASE, PARAM_PATH, PARAM_ROOT, PARAM_STYLE, STYLE_NEW |
| Constructor Summary | |
|---|---|
CmsTouch(CmsJspActionElement jsp)
Public constructor. |
|
CmsTouch(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
Public constructor with JSP variables. |
|
| Method Summary | |
|---|---|
void |
actionTouch()
Performs the resource touching, will be called by the JSP page. |
String |
buildCheckRecursive()
Creates the "recursive" checkbox for touching subresources of folders. |
String |
getCurrentDateTime()
Returns the current date and time as String formatted in localized pattern. |
String |
getParamNewtimestamp()
Returns the value of the new timestamp parameter, or null if this parameter was not provided. |
String |
getParamRecursive()
Returns the value of the recursive parameter, or null if this parameter was not provided. |
protected void |
initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
Analyzes the request for workplace parameters and adjusts the workplace settings accordingly. |
protected boolean |
performDialogOperation()
Performs the resource touching. |
void |
setParamNewtimestamp(String value)
Sets the value of the new timestamp parameter. |
void |
setParamRecursive(String value)
Sets the value of the recursive parameter. |
protected void |
touchSingleResource(String resourceName,
long timeStamp,
boolean recursive,
boolean correctDate)
Performs a touch operation for a single resource. |
| Methods inherited from class org.opencms.workplace.CmsMultiDialog |
|---|
addMultiOperationException, buildResourceList, checkMultiOperationException, checkResourcePermissions, getParamResourcelist, getResourceList, isMultiOperation, isOperationOnFolder, setDialogTitle, setParamResourcelist |
| Methods inherited from class org.opencms.workplace.tools.CmsToolDialog |
|---|
dialogTitle, getAdminTool, getCurrentToolPath, getParamBase, getParamPath, getParamRoot, getParamStyle, getParentPath, getToolManager, iconsBlockArea, iconsBlockAreaEnd, iconsBlockAreaStart, initAdminTool, pageBody, pageHtmlStyle, setParamBase, setParamPath, setParamRoot, setParamStyle, useNewStyle |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
|---|
public static final int ACTION_TOUCH
public static final String DIALOG_TYPE
public static final String PARAM_NEWTIMESTAMP
public static final String PARAM_RECURSIVE
public static final String DEFAULT_DATE_STRING
| Constructor Detail |
|---|
public CmsTouch(CmsJspActionElement jsp)
jsp - an initialized JSP action element
public CmsTouch(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
context - the JSP page contextreq - the JSP requestres - the JSP response| Method Detail |
|---|
public void actionTouch()
throws JspException
JspException - if problems including sub-elements occurpublic String buildCheckRecursive()
public String getCurrentDateTime()
public String getParamNewtimestamp()
The timestamp parameter stores the new timestamp as String.
public String getParamRecursive()
The recursive parameter on folders decides if all subresources of the folder should be touched, too.
public void setParamNewtimestamp(String value)
value - the value to setpublic void setParamRecursive(String value)
value - the value to set
protected void initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
CmsWorkplace
initWorkplaceRequestValues in class CmsDialogsettings - the workplace settingsrequest - the current requestCmsWorkplace.initWorkplaceRequestValues(org.opencms.workplace.CmsWorkplaceSettings, javax.servlet.http.HttpServletRequest)
protected boolean performDialogOperation()
throws CmsException
performDialogOperation in class CmsMultiDialogCmsException - if touching is not successful
protected void touchSingleResource(String resourceName,
long timeStamp,
boolean recursive,
boolean correctDate)
throws CmsException
resourceName - the resource name of the resource to touchtimeStamp - the new time stamprecursive - the flag if the touch operation is recursivecorrectDate - the flag if the new time stamp is a correct date
CmsException - if touching the resource fails
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||